import type { RouteRecordRaw, RouterOptions } from 'vue-router';
import { createRouter, createWebHistory } from 'vue-router';
import Home from '@/pages/Home.vue';

const routes: RouteRecordRaw[] = [
  {
    path: '/',
    name: 'Home',
    component: Home,
  },
  {
    path: '/about',
    name: 'About',
    component: () => import(/* webpackChunkName: "about" */ '@/pages/About.vue'),
  },
] as RouteRecordRaw[];

const router = createRouter({
  history: createWebHistory(BASE_URL),
  routes,
} as RouterOptions);

export default router;
